From: "Andrew John Hughes" <gnu_andrew@member.fsf.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/java:master commit in: dev-java/gnu-classpath/
Date: Fri, 2 Nov 2018 01:17:17 +0000 (UTC) [thread overview]
Message-ID: <1541121402.22b1d35cc4be3dc33bbb6592c5989a15e5d8c4b2.gnu_andrew@gentoo> (raw)
commit: 22b1d35cc4be3dc33bbb6592c5989a15e5d8c4b2
Author: Andrew John Hughes <gnu_andrew <AT> member <DOT> fsf <DOT> org>
AuthorDate: Fri Nov 2 01:16:42 2018 +0000
Commit: Andrew John Hughes <gnu_andrew <AT> member <DOT> fsf <DOT> org>
CommitDate: Fri Nov 2 01:16:42 2018 +0000
URL: https://gitweb.gentoo.org/proj/java.git/commit/?id=22b1d35c
dev-java/gnu-classpath: Merge gjdoc changes from main tree.
Package-Manager: Portage-2.3.50, Repoman-2.3.10
dev-java/gnu-classpath/ChangeLog | 7 ++++++
...0.99-r1.ebuild => gnu-classpath-0.99-r2.ebuild} | 29 ++++++++++++++++++++--
dev-java/gnu-classpath/gnu-classpath-9999.ebuild | 29 ++++++++++++++++++++--
3 files changed, 61 insertions(+), 4 deletions(-)
diff --git a/dev-java/gnu-classpath/ChangeLog b/dev-java/gnu-classpath/ChangeLog
index a8e7a4b1..deb35d54 100644
--- a/dev-java/gnu-classpath/ChangeLog
+++ b/dev-java/gnu-classpath/ChangeLog
@@ -2,6 +2,13 @@
# Copyright 1999-2018 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/gnu-classpath/ChangeLog,v 1.109 2010/04/29 19:50:01 caster Exp $
+*gnu-classpath-0.99-r2 (02 Nov 2018)
+
+ 02 Nov 2018; Andrew John Hughes <gnu_andrew@member.fsf.org>
+ +gnu-classpath-0.99-r2.ebuild, -gnu-classpath-0.99-r1.ebuild,
+ gnu-classpath-9999.ebuild:
+ dev-java/gnu-classpath: Merge gjdoc changes from main tree.
+
22 Oct 2018; Andrew John Hughes <gnu_andrew@member.fsf.org>
gnu-classpath-0.99-r1.ebuild, gnu-classpath-9999.ebuild:
dev-java/gnu-classpath: Remove references to dead packages
diff --git a/dev-java/gnu-classpath/gnu-classpath-0.99-r1.ebuild b/dev-java/gnu-classpath/gnu-classpath-0.99-r2.ebuild
similarity index 80%
rename from dev-java/gnu-classpath/gnu-classpath-0.99-r1.ebuild
rename to dev-java/gnu-classpath/gnu-classpath-0.99-r2.ebuild
index da6c27ac..c0043d66 100644
--- a/dev-java/gnu-classpath/gnu-classpath-0.99-r1.ebuild
+++ b/dev-java/gnu-classpath/gnu-classpath-0.99-r2.ebuild
@@ -15,9 +15,9 @@ SLOT="0"
KEYWORDS="~amd64"
IUSE="alsa debug doc dssi examples gconf +gjdoc +gmp +gtk gstreamer qt4 xml"
+REQUIRED_USE="doc? ( gjdoc )"
RDEPEND="alsa? ( media-libs/alsa-lib )
- doc? ( >=dev-java/gnu-classpath-0.98:* )
dssi? ( >=media-libs/dssi-0.9 )
gconf? ( gnome-base/gconf:2= )
gjdoc? ( >=dev-java/antlr-2.7.7-r7:0 )
@@ -87,6 +87,13 @@ src_configure() {
myconf="--with-antlr-jar=${antlr}"
fi
+ if use doc; then
+ # Avoid a cyclic dependency on gjdoc by building gjdoc before
+ # the docs. First we need to trick configure. Hack alert!
+ echo -e "#!/bin/sh\necho gjdoc 0.8" > tools/gjdoc.build || die
+ chmod 755 tools/gjdoc.build || die
+ fi
+
ANTLR= econf \
$(use_enable alsa) \
$(use_enable debug ) \
@@ -98,7 +105,7 @@ src_configure() {
$(use_enable gstreamer gstreamer-peer) \
$(use_enable xml xmlj) \
$(use_enable dssi ) \
- $(use_with doc gjdoc) \
+ $(use_with doc gjdoc "${S}/tools/gjdoc.build") \
--enable-jni \
--disable-dependency-tracking \
--disable-plugin \
@@ -108,9 +115,27 @@ src_configure() {
${myconf}
}
+src_compile() {
+ if use doc; then
+ # Build gjdoc before the docs. We need to hack the real gjdoc
+ # script to run from the build directory instead.
+ sed -r "s:^(tools_dir=).*:\1${S}/tools:" tools/gjdoc > tools/gjdoc.build || die
+ emake -C lib
+ emake -C tools
+ fi
+
+ default
+}
+
src_install() {
emake DESTDIR="${D}" install
dodoc AUTHORS BUGS ChangeLog* HACKING NEWS README THANKYOU TODO
java-pkg_regjar /usr/share/classpath/glibj.zip
java-pkg_regjar /usr/share/classpath/tools.zip
+
+ if use doc; then
+ # Strangely the Makefile doesn't install these.
+ insinto "/usr/${PN}-${SLOT}/share/classpath/api"
+ doins -r doc/api/html/*
+ fi
}
diff --git a/dev-java/gnu-classpath/gnu-classpath-9999.ebuild b/dev-java/gnu-classpath/gnu-classpath-9999.ebuild
index 9d5c601f..4a2a905a 100644
--- a/dev-java/gnu-classpath/gnu-classpath-9999.ebuild
+++ b/dev-java/gnu-classpath/gnu-classpath-9999.ebuild
@@ -15,9 +15,9 @@ SLOT="0"
KEYWORDS=""
IUSE="alsa debug doc dssi examples gconf +gjdoc +gmp +gtk gstreamer qt4 xml"
+REQUIRED_USE="doc? ( gjdoc )"
RDEPEND="alsa? ( media-libs/alsa-lib )
- doc? ( >=dev-java/gnu-classpath-0.98:* )
dssi? ( >=media-libs/dssi-0.9 )
gconf? ( gnome-base/gconf:2= )
gjdoc? ( >=dev-java/antlr-2.7.7-r7:0 )
@@ -85,6 +85,13 @@ src_configure() {
myconf="--with-antlr-jar=${antlr}"
fi
+ if use doc; then
+ # Avoid a cyclic dependency on gjdoc by building gjdoc before
+ # the docs. First we need to trick configure. Hack alert!
+ echo -e "#!/bin/sh\necho gjdoc 0.8" > tools/gjdoc.build || die
+ chmod 755 tools/gjdoc.build || die
+ fi
+
ANTLR= econf \
$(use_enable alsa) \
$(use_enable debug ) \
@@ -96,7 +103,7 @@ src_configure() {
$(use_enable gstreamer gstreamer-peer) \
$(use_enable xml xmlj) \
$(use_enable dssi ) \
- $(use_with doc gjdoc) \
+ $(use_with doc gjdoc "${S}/tools/gjdoc.build") \
--enable-jni \
--disable-dependency-tracking \
--disable-plugin \
@@ -106,9 +113,27 @@ src_configure() {
${myconf}
}
+src_compile() {
+ if use doc; then
+ # Build gjdoc before the docs. We need to hack the real gjdoc
+ # script to run from the build directory instead.
+ sed -r "s:^(tools_dir=).*:\1${S}/tools:" tools/gjdoc > tools/gjdoc.build || die
+ emake -C lib
+ emake -C tools
+ fi
+
+ default
+}
+
src_install() {
emake DESTDIR="${D}" install
dodoc AUTHORS BUGS ChangeLog* HACKING NEWS README THANKYOU TODO
java-pkg_regjar /usr/share/classpath/glibj.zip
java-pkg_regjar /usr/share/classpath/tools.zip
+
+ if use doc; then
+ # Strangely the Makefile doesn't install these.
+ insinto "/usr/${PN}-${SLOT}/share/classpath/api"
+ doins -r doc/api/html/*
+ fi
}
next reply other threads:[~2018-11-02 1:17 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-11-02 1:17 Andrew John Hughes [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-02-24 3:35 [gentoo-commits] proj/java:master commit in: dev-java/gnu-classpath/ Andrew John Hughes
2018-11-02 1:17 Andrew John Hughes
2015-06-24 16:37 Andrew John Hughes
2015-06-23 4:11 Andrew John Hughes
2015-06-23 4:11 Andrew John Hughes
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1541121402.22b1d35cc4be3dc33bbb6592c5989a15e5d8c4b2.gnu_andrew@gentoo \
--to=gnu_andrew@member.fsf.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox